[R004-3]Idea Validation - Export Report

post
https://connect.patsnap.com/search/patent/idea-validation/job_id/status
Try in Sandbox

This interface provides technical idea validation report downloading (query and export technical idea validation report according to the job_id returned in the [R004-1]Idea Validation - Create Report).

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
file_format
stringppt
File format (supports ppt, word), default: ppt
job_id
Required
string15362c5fae034dfc8943df299afc18b5
Query job_id, download technical idea validation report, single query.

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
job_id
string15362c5fae034dfc8943df299afc18b5
export technical idea validation report task id
job_status
integer<int32>2
Export status (1: exporting, 2: export successful, 3: technical idea validation report generation exception).
download_url
stringhttps://stage-openapi-import.cdn.zhihuiya.com/disclosure_ppt/tech_idea_20241106164047.pptx?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDRksnVzITRBhpjUAg2B6oQr56vb8VFtPj%26q-sign-time%3D1730882451%3B1731487251%26q-key-time%3D1730882451%3B1731487251%26q-header-list%3Dhost%26q-url-param-list%3D%26q-signature%3D255706ccef17490c2f89da9090e1db796513dbe0
Technical idea validation report download link (returned when export status is successful).
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "job_id": "15362c5fae034dfc8943df299afc18b5",
    "job_status": 2,
    "download_url": "https://stage-openapi-import.cdn.zhihuiya.com/disclosure_ppt/tech_idea_20241106164047.pptx?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDRksnVzITRBhpjUAg2B6oQr56vb8VFtPj%26q-sign-time%3D1730882451%3B1731487251%26q-key-time%3D1730882451%3B1731487251%26q-header-list%3Dhost%26q-url-param-list%3D%26q-signature%3D255706ccef17490c2f89da9090e1db796513dbe0"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found